Retrieve Balances Over Time By Account V3

List the balances of a specific bank account for a customer across all ingestion sources. Ordered by balance date. It calculates the balance for each date, by iterating from the date the account was last refreshed to the to and from dates provided. It then checks all the transactions within this range, calculating the balance at the end of each day. This endpoint limits the date from which it gets balances by the oldest transaction_window on the account. If transaction_windows are not present, it is not possible to calculate balances and the endpoint returns an empty list. You can only request balances within transaction windows, therefore if you ingest transactions without a transaction window, you won't be able to request balance for that time range. However those transactions will be used to calculate the balance as well. For users ingesting data via the Ingest Accounts endpoint, you can increase the range and accuracy of the data supplied from this service by including the transaction_window field upon account ingestion. The balances selected to use as latest pending & latest booked in the calculation are selected according to a provider specific balance type priority list. Results are limited to up to 5000 balance items.

Path Params
string
required

The account ID to retrieve data for.

Query Params
string

The date from when results are to be retrieved in the format RFC 3339.

Examples:

  • 2023-01-17T17:29:51Z
  • 2023-01-17T17:29:51-08:00
string

The date up to when results are to be retrieved in the format RFC 3339.

Examples:

  • 2023-03-17T17:29:51Z
  • 2023-03-17T17:29:51-08:00
string

Specifies in what interval the balance over time should be retrieved. Currently supported values include (but are not necessarily limited to):

  • daily
  • weekly
  • biweekly
  • monthly
  • quarterly
  • six_monthly
  • annually

Defaults to weekly.

string
deprecated

Specifies which date field as returned from the /financial/v2/transactions endpoint should be used in the calculation of balance over time.

Currently supported values include (but are not necessarily limited to):

  • date_time
  • posted_date_time

Defaults to date_time.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

A unique identifier for a Customer, as registered on Bud's platform.

string

Use the internal client identifier, provided in the client_metadata object when creating the customer in Create Customer V3, in place of an X-Customer-Id header.

string

The Bud Customer secret used to encrypt customer data. This is required only if the customer secret is not already stored with Bud.

Responses

401

An unauthenticated request was received.

Language
Credentials
OAuth2
Response
Choose an example:
application/json